org.apache.cassandra.db

## Class UnknownColumnException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.cassandra.db.UnknownColumnException

- All Implemented Interfaces:
    java.io.Serializable

      public class UnknownColumnException
      extends java.lang.Exception

  Exception thrown when we read a column internally that is unknown. Note that this is an internal exception and is not meant to be user facing.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.nio.ByteBuffer` | `columnName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownColumnException(CFMetaData metadata, java.nio.ByteBuffer columnName)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### columnName

          public final java.nio.ByteBuffer columnName

  - ### Constructor Detail

    - #### UnknownColumnException

          public UnknownColumnException(CFMetaData metadata,
                                        java.nio.ByteBuffer columnName)

Copyright © 2018 The Apache Software Foundation